Repeatly make points and group

I want to make a button. When clicking the button I want to place points repeatly. (!_points)
after placing the points regardless how many, I want to click enter and then the last created points have to be grouped.

then when I enter again I want it to start all over again.

I want to use it with a 3D digitiizer. in this way I have grouped points of different parts without touching the computer. which saves me a lot of time.

can someone help me out?

thanx a lot.

Baasab

Create a new toolbar button and that this command macro to it:

_NoEcho _-RunScript (
arrPoints = Rhino.GetPoints
If IsArray(arrPoints) Then
arrObjects = Rhino.AddPoints(arrPoints)
strGroup = Rhino.AddGroup
Call Rhino.AddObjectsToGroup(arrObjects, strGroup)
End If
)

Hi Dale,

thanks a lot, it works! exactly how I want it to work.

I don’t understand a bit of this script. is there somewhere documentation about it?

thanx again!

Hi Baasab,

you can open the RhinoScript helpfile from the menu:

Help / Plugins / RhinoScript

c.